com.dlsc.flexgantt.swing

## Enum NavigationControlType

- java.lang.Object
- - java.lang.Enum<NavigationControlType>
  - - com.dlsc.flexgantt.swing.NavigationControlType

- All Implemented Interfaces:
    Serializable, Comparable<NavigationControlType>

      public enum NavigationControlType
      extends Enum<NavigationControlType>

  An enumeration of possible navigation types.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL_OBJECTS` Used for the 'zoom and scroll to show all objects' control.
    `BOOKMARKS` Used for the bookmarks control.
    `EARLIEST_OBJECT` Used for the 'scroll to show earliest objects' control.
    `GOTO` Used for the 'go to a specific time point' control.
    `GRANULARITY` Used for the granularity control.
    `LATEST_OBJECT` Used for the 'scroll to show latest objects' control.
    `TIME_NOW` Used for the 'jump to time now' control.
    `TIME_SPAN` Used for the 'specify a custom time span' control.
    `ZOOM_IN` Used for the zoom in control.
    `ZOOM_OUT` Used for the zoom out control.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NavigationControlType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NavigationControlType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOKMARKS

          public static final NavigationControlType BOOKMARKS

      Used for the bookmarks control.
      Since:
        1.0

    - #### ZOOM_IN

          public static final NavigationControlType ZOOM_IN

      Used for the zoom in control.
      Since:
        1.0

    - #### ZOOM_OUT

          public static final NavigationControlType ZOOM_OUT

      Used for the zoom out control.
      Since:
        1.0

    - #### GRANULARITY

          public static final NavigationControlType GRANULARITY

      Used for the granularity control.
      Since:
        1.0

    - #### TIME_NOW

          public static final NavigationControlType TIME_NOW

      Used for the 'jump to time now' control.
      Since:
        1.0

    - #### TIME_SPAN

          public static final NavigationControlType TIME_SPAN

      Used for the 'specify a custom time span' control.
      Since:
        1.0

    - #### EARLIEST_OBJECT

          public static final NavigationControlType EARLIEST_OBJECT

      Used for the 'scroll to show earliest objects' control.
      Since:
        1.0

    - #### LATEST_OBJECT

          public static final NavigationControlType LATEST_OBJECT

      Used for the 'scroll to show latest objects' control.
      Since:
        1.0

    - #### ALL_OBJECTS

          public static final NavigationControlType ALL_OBJECTS

      Used for the 'zoom and scroll to show all objects' control.
      Since:
        1.0

    - #### GOTO

          public static final NavigationControlType GOTO

      Used for the 'go to a specific time point' control.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static NavigationControlType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NavigationControlType c : NavigationControlType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NavigationControlType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.